Subject: Re: bug#12918: 24.2.50; fileio.c:2106:3: error: too few arguments to function 'rpl_mkdir'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Nov 2012 23:12:42 +0200

> Date: Sat, 17 Nov 2012 23:07:15 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > Date: Sat, 17 Nov 2012 20:59:12 +0000
> > From: Stephen Powell <[email-masked]>
> > 
> > Built from head of trunk for the first time in a week.
> > 
> > gcc -I. -c -DENABLE_CHECKING -DXASSERTS -gdwarf-2 -g3 -O0 -march=native
> >  -pipe     -Demacs=1 -I../lib -I../nt/inc -DUSE_CRT_DLL=1
> > -DPURESIZE=5000000 -o oo-spd/i386/fileio.o fileio.c

Btw, the "-pipe" thing on the GCC command line is another sign of a
snafu: the MinGW build doesn't use it.  Likewise -DENABLE_CHECKING
and -DXASSERTS.